using System;
using UnityEngine;
using System.Collections.Generic;
using System.Text;

namespace JointPhysicsHelper
{
    public class StringResource
    {

        public static MvString PluginInfo = MvString.NewInstance(
            "<color=#000000><size=40><b>Joint Physics Helper</b></size></color>\n\nQuickly set the joint physics of the character\n\nMvKlein",
            "<color=#000000><size=40><b>人物关节 物理设置</b></size></color>\n\n便捷设置人物关节物理,优化跳舞的僵硬\n\nB站克莱恩老哥"
            );
        public static readonly MvString SpringPercent = MvString.NewInstance(
            "Percent Spring",
            "弹簧百分比"
            );
        public static readonly MvString DamperPercent = MvString.NewInstance(
            "Percent Damper",
            "阻尼百分比"
            );
        public static readonly MvString MaxVelocity = MvString.NewInstance(
            "Max Velocity",
            "最大速度"
            );
        public static readonly MvString Apply = MvString.NewInstance(
            "Apply",
            "应用"
            );
        public static readonly MvString SavePreset = MvString.NewInstance(
            "Save Preset",
            "保存预设"
            );
        public static readonly MvString LoadPreset = MvString.NewInstance(
            "Load Preset",
            "加载预设"
            );


        public class MvString {
            private string zh;
            private string en;
            public static MvString NewInstance(string en,string zh) {
                var result = new MvString();
                result.zh = zh;
                result.en = en;
                return result;
            }
            public override string ToString() {
                return Application.systemLanguage == SystemLanguage.Chinese ? zh : en;
            }
        }

        public static string r(string s)
        {
            StringBuilder b = new StringBuilder();
            char[] arr = s.ToCharArray();
            for (int i = arr.Length - 1; i >= 0; i--)
            {
                b.Append(arr[i]);
            }
            return b.ToString();
        }
    }
}
